Bug 1220282 - NPE when cloning a VM from snapshot WITHOUT "VirtIO-SCSI Enabled"
Summary: NPE when cloning a VM from snapshot WITHOUT "VirtIO-SCSI Enabled"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.5.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
: 3.5.3
Assignee: Amit Aviram
QA Contact: Ori Gofen
URL:
Whiteboard: storage
Depends On: 1215845
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-11 08:03 UTC by rhev-integ
Modified: 2019-07-16 11:32 UTC (History)
13 users (show)

Fixed In Version: org.ovirt.engine-root-3.5.3-2
Doc Type: Bug Fix
Doc Text:
Clone Of: 1215845
Environment:
Last Closed: 2015-06-15 13:28:46 UTC
oVirt Team: Storage
Target Upstream Version:
ylavi: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1095 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.5.3 update 2015-06-15 17:26:37 UTC
oVirt gerrit 40662 master MERGED core: NPE fix in clone image from snapshot Never
oVirt gerrit 40710 master MERGED core: Extracting virtIO-scsi disabling check in CDA Never
oVirt gerrit 40727 ovirt-engine-3.5 MERGED core: Extracting virtIO-scsi disabling check in CDA Never
oVirt gerrit 40728 ovirt-engine-3.5 MERGED core: NPE fix in clone image from snapshot Never
oVirt gerrit 40752 ovirt-engine-3.5.3 MERGED core: Extracting virtIO-scsi disabling check in CDA Never
oVirt gerrit 40753 ovirt-engine-3.5.3 MERGED core: NPE fix in clone image from snapshot Never

Comment 2 Ori Gofen 2015-05-20 13:56:11 UTC
Verified on vt15.

steps taken:
1.clone VM from a live snapshot with ram enabled and virtio flag 'True'
2.clone VM from a live snapshot with ram enabled and virtio flag 'False'
3.clone VM from a regular snapshot and virtio flag 'True'
4.clone VM from a regular snapshot and virtio flag 'False'

Comment 4 errata-xmlrpc 2015-06-15 13:28:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1095.html


Note You need to log in before you can comment on or make changes to this bug.